This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 812884 - RfE: Bundles and Drift should allow relative values in plugin descriptor
RfE: Bundles and Drift should allow relative values in plugin descriptor
Status: NEW
Product: RHQ Project
Classification: Other
Component: Agent (Show other bugs)
4.3
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 09:28 EDT by Heiko W. Rupp
Modified: 2012-06-04 11:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-16 09:28:53 EDT
Currently a bundle entry e.g. looks like 


    <bundle-target>
       <destination-base-dir name="Deploy Directory">
          <value-context>pluginConfiguration</value-context>
          <value-name>homeDir</value-name>
       </destination-base-dir>
  </bundle-target>

Now to say " I want x " below the home directory I have to create a new plugin config property 'foo' , 
set it to $homeDir/x and use foo. Same for drift.

It should be possible to say 

   <bundle-target>
       <destination-base-dir name="Deploy Directory">
          <value-context>pluginConfiguration</value-context>
          <value-name>${homeDir}/${config}/deployment</value-name>
       </destination-base-dir>
  </bundle-target>

and have the ${} expressions replaced accordingly

Note You need to log in before you can comment on or make changes to this bug.